
%global meadversion 1.0.4
%global namedversion 1.0.4.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}wildfly-transaction-client}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.4.Final-redhat-1

Name:           %{?scl_prefix}wildfly-transaction-client
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        WildFly transaction client
Group:          Development/Java

%if %with mead
Source100: wildfly-transaction-client-1.0.4.Final-redhat-1-scm-sources.zip
Source102: wildfly-transaction-client-1.0.4.Final-redhat-1.jar
Source103: wildfly-transaction-client-1.0.4.Final-redhat-1-sources.jar
Source104: wildfly-transaction-client-1.0.4.Final-redhat-1-project-sources.tar.gz
Source105: wildfly-transaction-client-1.0.4.Final-redhat-1.pom
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly/wildfly-transaction-client
Requires:       %{?scl_prefix_eap}wildfly-common >= 0:1.2.0
Requires:       %{?scl_prefix_eap}xnio-api >= 0:3.5.0
Requires:       %{?scl_prefix_eap}jboss-remoting >= 0:5.0.0
Requires:       %{?scl_prefix_eap}wildfly-elytron >= 0:1.1.0
Requires:       %{?scl_prefix_eap}wildfly-naming-client >= 0:1.0.0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Client library for applications using transactions with Wildfly.

%if %with javadoc
%package javadoc
Summary:        Javadoc for wildfly-transaction-client
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n wildfly-transaction-client -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/wildfly-transaction-client-%{namedversion}.jar %{buildroot}%{_javadir}/wildfly-transaction-client-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wildfly-transaction-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wildfly-transaction-client-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wildfly-transaction-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wildfly-transaction-client-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/wildfly-transaction-client-%{namedversion}
unzip -qq %{_sourcedir}/wildfly-transaction-client-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wildfly-transaction-client-%{namedversion} -x META-INF/\*
%{__ln_s} wildfly-transaction-client-%{namedversion} %{buildroot}%{_javadocdir}/wildfly-transaction-client
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc
%{_javadir}/wildfly-transaction-client-%{namedversion}.jar
%{_javadir}/wildfly-transaction-client.jar
%if %with javadoc
%{_javadir}/wildfly-transaction-client-%{namedversion}-javadoc.jar
%{_javadir}/wildfly-transaction-client-javadoc.jar
%endif
%{_javadir}/wildfly-transaction-client-%{namedversion}-sources.jar
%{_javadir}/wildfly-transaction-client-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wildfly-transaction-client-%{namedversion}
%{_javadocdir}/wildfly-transaction-client
%endif

%changelog
* Thu Jul 12 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.0.4-1.Final_redhat_1.1
- upgrade to 1.0.4.Final-redhat-1

* Wed Oct 11 2017 Petr Sakar <psakar@redhat.com> - 1.0.2-1.Final_redhat_1.1
- upgrade to 1.0.2.Final-redhat-1

* Tue Sep 19 2017 Petr Sakar <psakar@redhat.com> - 1.0.1-1.Final_redhat_1.1
- upgrade to 1.0.1.Final-redhat-1

* Tue Aug 22 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-9.Final_redhat_1.1
- upgrade to 1.0.0.Final-redhat-1

* Wed Jul 26 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-8.CR3_redhat_1.1
- upgrade to 1.0.0.CR3-redhat-1

* Fri Jun 23 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-7.CR2_redhat_1.1
- upgrade to 1.0.0.CR2-redhat-1

* Wed Jun 07 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-6.Beta24_redhat_1.1
- upgrade to 1.0.0.Beta24-redhat-1

* Wed May 24 2017 Martin Minar <mminar@redhat.com> - 1.0.0-5.Beta23_redhat_1.1
- update to version 1.0.0.Beta23

* Wed May 10 2017 Martin Minar <mminar@redhat.com> - 1.0.0-4.Beta22_redhat_1.1
- update to 1.0.0.Beta22

* Wed Apr 26 2017 Martin Minar <mminar@redhat.com> - 1.0.0-3.Beta21_redhat_1.1
- update to version 1.0.0.Beta21

* Wed Mar 15 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-2.Beta19_redhat_1.1
- upgrade to 1.0.0.Beta19-redhat-1

* Mon Mar 06 2017 David Walluck <dwalluck@redhat.com> - 1.0.0-1.Beta17_redhat_1.1
- release

